javax.management

## Interface NotificationFilter

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    AttributeChangeNotificationFilter, MBeanServerNotificationFilter, NotificationFilterSupport

      public interface NotificationFilter
      extends Serializable

  To be implemented by a any class acting as a notification filter. It allows a registered notification listener to filter the notifications of interest.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNotificationEnabled(Notification notification)` Invoked before sending the specified notification to the listener.

- - ### Method Detail

    - #### isNotificationEnabled

          boolean isNotificationEnabled(Notification notification)

      Invoked before sending the specified notification to the listener.
      Parameters:
        `notification` - The notification to be sent.
      Returns:
        `true` if the notification has to be sent to the listener, `false` otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.